
Foreman - Bug #13770

SSH provisioning fails when no puppetca is assigned to the host

02/17/2016 11:31 AM - Ivan Necas

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We have the current code in the ssh provisioning:

https://github.com/theforeman/foreman/blob/1.10.1/app/models/concerns/orchestration/ssh_provision.rb#L66

When there is no puppetca, the puppetca? contidion leads to the method return nil,

which is considered as fail on the orchestration, leading to failure of the whole process.

Related issues:

Related to Foreman - Bug #3541: ec2 provisioning failure in setSSHProvision (... Closed 10/29/2013

Related to Foreman - Bug #13771: Failure in after_commit orchestration is ver... New 02/17/2016

Related to Foreman - Tracker #14002: Orchestration build around ActiveRecord ... New 03/02/2016

History

#1 - 02/17/2016 11:35 AM - Dominic Cleal

- Related to Bug #3541: ec2 provisioning failure in setSSHProvision (when no CA available?) added

#2 - 02/17/2016 11:43 AM - Ivan Necas

- Related to Bug #13771: Failure in after_commit orchestration is very hard to debug added

#3 - 02/17/2016 11:54 AM - Dominic Cleal

- Status changed from New to Duplicate

https://github.com/theforeman/foreman/blob/1.10.1/app/models/concerns/orchestration/ssh_provision.rb#L83 is probably the correct link.

#4 - 03/02/2016 04:16 AM - Ivan Necas

- Related to Tracker #14002: Orchestration build around ActiveRecord hooks tracker added
